
%define guiloader_cpp_version 2.12.0
%define guiloader_cpp_release 0.1
%define guiloader_cpp_package 2.12.0
%define guiloader_cpp_dep_guiloader 2.12
%define guiloader_cpp_dep_glibmm 2.16
%define guiloader_cpp_dep_gtkmm 2.12.4

Name:           guiloader-c++
Version:        2.12.0
Release:        0.1
Summary:        A C++ binding to the GuiLoader library
Vendor:		      The Crow Designer Project

Group:          System Environment/Libraries
License:        MIT
URL:            http://crow-designer.sourceforge.net
Source0:        http://dl.sourceforge.net/crow-designer/%{name}-%{guiloader_cpp_package}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       guiloader >= %{guiloader_cpp_dep_guiloader}
Requires:       glibmm24 >= %{guiloader_cpp_dep_glibmm}
Requires:       gtkmm24 >= %{guiloader_cpp_dep_gtkmm}

BuildRequires:  guiloader-devel >= %{guiloader_cpp_dep_guiloader}
BuildRequires:  glibmm24-devel >= %{guiloader_cpp_dep_glibmm}
BuildRequires:  gtkmm24-devel >= %{guiloader_cpp_dep_gtkmm}
BuildRequires:  gettext

%description
GuiLoader/C++ is a C++ binding to the GuiLoader library. It is a convenience layer that simplifies development of GuiLoader based applications written in the C++ language by introducing exception safety, binding GTK+ objects defined in GuiXml to C++ variables and type-safe dynamic connection to signals.

%package devel
Summary:        Headers for developing programs that will use GuiLoader/C++
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       guiloader-devel
Requires:       gtkmm24-devel
Requires:       pkgconfig

%description devel
This package contains the header files needed for developing GuiLoader/C++ applications.

%prep
%setup -q -n %{name}-%{guiloader_cpp_package}

%build
%configure --disable-static --disable-dependency-tracking --enable-hiddenvisibility
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root, -)
%doc AUTHORS COPYING README NEWS
%{_libdir}/lib%{name}.so

%files devel
%defattr(-, root, root, -)
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc

